<div class="example-container" [class.example-is-mobile]="mobileQuery.matches">
    <mat-toolbar color="primary">
        <mat-toolbar-row>
            <button mat-icon-button (click)="snav.toggle()">
                <mat-icon>menu</mat-icon>
            </button>
            <h2 class="toolbar-title"> Angular </h2>
            <span class="example-spacer"></span>
            <button mat-icon-button [matMenuTriggerFor]="menu">
                <mat-icon>more_vert</mat-icon>
              </button>
              <mat-menu #menu="matMenu">
                <button mat-menu-item>
                  <mat-icon>dialpad</mat-icon>
                  <span>Profile</span>
                </button>
            
                <button mat-menu-item>
                  <mat-icon>notifications_off</mat-icon>
                  <span>Logout</span>
                </button>
              </mat-menu>
        </mat-toolbar-row>
    </mat-toolbar>
    
    <mat-sidenav-container style="height:100%">
        <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches"
            fixedTopGap="56">
            <mat-toolbar color="accent" style="width:200px;">
                <button mat-icon-button>
                    <mat-icon>account_circle</mat-icon>
                </button>
                <h1 class="example-app-name">User</h1>
            </mat-toolbar>
            <mat-nav-list>

                <h2 matSubheader> Menus </h2>

                <a mat-list-item routerLink="/" style="height: 0;"></a>

                <a *ngFor="let item of myWorkRoutes"
                    mat-list-item
                    (click)="sidenav.close()"
                    routerLinkActive
                    #routerLinkActiveInstance="routerLinkActive"
                    [class.list-item-active]="routerLinkActiveInstance.isActive"
                    [routerLink]="[item.route]">
                    <mat-icon matListIcon class="app-nav-list-icon"> {{ item.icon }} </mat-icon>
                    {{item.title}}
                </a>

                <mat-divider></mat-divider>
                
            </mat-nav-list>
        </mat-sidenav>

        <mat-sidenav-content>
            <button mat-raised-button color="primary" (click)="sendPushNotification()">Send</button>

            <router-outlet></router-outlet>
        </mat-sidenav-content>
    </mat-sidenav-container>
</div>